## emacs-libvterm 0.0.1+git20220831.d6fcd38

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
include(ExternalProject)

project(emacs-libvterm C)

if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "OpenBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
   set(LIBVTERM_BUILD_COMMAND "gmake")
else()
   set(LIBVTERM_BUILD_COMMAND "make")
endif()

add_library(vterm-module MODULE vterm-module.c utf8.c elisp.c)
set_target_properties(vterm-module PROPERTIES
  C_STANDARD 99
  C_VISIBILITY_PRESET "hidden"
  POSITION_INDEPENDENT_CODE ON
  PREFIX ""
  LIBRARY_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}
  )

# Set RelWithDebInfo as default build type
if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "No build type selected, defaulting to RelWithDebInfo")
  set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Build type (default RelWithDebInfo)" FORCE)
endif()

# Look for the header file.
option(USE_SYSTEM_LIBVTERM "Use system libvterm instead of the vendored version." ON)

# Try to find the libvterm in system.
if (USE_SYSTEM_LIBVTERM)
  # try to find the vterm.h header file.
  find_path(LIBVTERM_INCLUDE_DIR
    NAMES vterm.h
    )

  # vterm.h is found.
  if (LIBVTERM_INCLUDE_DIR)
    message(STATUS "System libvterm detected")
    execute_process(COMMAND  grep -c "VTermStringFragment" "${LIBVTERM_INCLUDE_DIR}/vterm.h" OUTPUT_VARIABLE VTermStringFragmentExists)
    if (${VTermStringFragmentExists} EQUAL "0")
#    add_compile_definitions(VTermStringFragmentNotExists)
    add_definitions(-DVTermStringFragmentNotExists)
    endif()
    execute_process(COMMAND  grep -c "VTermSelectionMask" "${LIBVTERM_INCLUDE_DIR}/vterm.h" OUTPUT_VARIABLE VTermSelectionMaskExists)
    if (${VTermSelectionMaskExists} EQUAL "0")
#    add_compile_definitions(VTermStringFragmentNotExists)
    add_definitions(-DVTermSelectionMaskNotExists)
    endif()

  else()
    message(STATUS "System libvterm not found: libvterm will be downloaded and compiled as part of the build process")
  endif()
endif()

if (LIBVTERM_INCLUDE_DIR)
  find_library(LIBVTERM_LIBRARY NAMES
    vterm
    libvterm
    )

  if(NOT LIBVTERM_LIBRARY)
    message(FATAL_ERROR "libvterm not found")
  endif()
else()
  find_program(LIBTOOL NAMES libtool glibtool)
  if(NOT LIBTOOL)
    message(FATAL_ERROR "libtool not found. Please install libtool")
  endif()

  ExternalProject_add(libvterm
    GIT_REPOSITORY https://github.com/Sbozzolo/libvterm-mirror.git
    GIT_TAG 15133bba2c0bce32baabbf91610a2450495fea02
    CONFIGURE_COMMAND ""
    BUILD_COMMAND ${LIBVTERM_BUILD_COMMAND} "CFLAGS='-fPIC'"
    BUILD_IN_SOURCE ON
    INSTALL_COMMAND "")

  ExternalProject_Get_property(libvterm SOURCE_DIR)

  set(LIBVTERM_INCLUDE_DIR ${SOURCE_DIR}/include)
  set(LIBVTERM_LIBRARY ${SOURCE_DIR}/.libs/libvterm.a)

  add_dependencies(vterm-module libvterm)

  # Workaround for https://gitlab.kitware.com/cmake/cmake/issues/15052
  file(MAKE_DIRECTORY ${LIBVTERM_INCLUDE_DIR})
endif()

add_library(vterm STATIC IMPORTED)
set_target_properties(vterm PROPERTIES IMPORTED_LOCATION ${LIBVTERM_LIBRARY})
target_include_directories(vterm INTERFACE ${LIBVTERM_INCLUDE_DIR})

# Link with libvterm
target_link_libraries(vterm-module PUBLIC vterm)

# Custom run command for testing
add_custom_target(run
  COMMAND emacs -Q -L ${CMAKE_SOURCE_DIR} -L ${CMAKE_BINARY_DIR} --eval "\\(require \\'vterm\\)" --eval "\\(vterm\\)"
  DEPENDS vterm-module
  )

=== debian/changelog ===
emacs-libvterm (0.0.1+git20220831.d6fcd38-3) unstable; urgency=medium

  * Fix installation path of vterm-module.so

 -- Martin <debacle@debian.org>  Thu, 06 Oct 2022 21:54:17 +0000

emacs-libvterm (0.0.1+git20220831.d6fcd38-2) unstable; urgency=medium

  * Fix architecture of elpa-vterm

 -- Martin <debacle@debian.org>  Sun, 11 Sep 2022 17:14:33 +0000

emacs-libvterm (0.0.1+git20220831.d6fcd38-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 11 Sep 2022 10:03:58 +0000

emacs-libvterm (0.0.1+git20220822.f104e3a-1) unstable; urgency=medium

  * New upstream snapshot, first upload to unstable

 -- Martin <debacle@debian.org>  Wed, 24 Aug 2022 18:41:45 +0000

emacs-libvterm (0.0.1+git20220613.3155a47-3) experimental; urgency=medium

  * Separate packages for loadable module and elisp files

 -- Martin <debacle@debian.org>  Sun, 21 Aug 2022 07:51:31 +0000

emacs-libvterm (0.0.1+git20220613.3155a47-2) experimental; urgency=medium

  * Fix setting of load-path

 -- Martin <debacle@debian.org>  Tue, 16 Aug 2022 21:00:16 +0000

emacs-libvterm (0.0.1+git20220613.3155a47-1) experimental; urgency=medium

  * Initial package (Closes: #1005080)

 -- Martin <debacle@debian.org>  Fri, 12 Aug 2022 21:05:35 +0000

## emacs-libvterm 0.0.2+git20230217.3e5a9b7

=== debian/changelog ===
emacs-libvterm (0.0.2+git20230217.3e5a9b7-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sat, 18 Feb 2023 10:43:13 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

ELPA_NAME=vterm
export ELPA_NAME

%:
	dh $@ --with elpa

execute_before_dh_auto_build:
	echo ";;; set load-path for vterm-module.so -*- lexical-binding: t; -*-" > vterm-load-path.el
	echo "(add-to-list 'load-path \"/usr/lib/${DEB_HOST_MULTIARCH}/emacs-libvterm\")" >> vterm-load-path.el

## emacs-libvterm 0.0.2+git20230417.94e2b0b

=== debian/changelog ===
emacs-libvterm (0.0.2+git20230417.94e2b0b-1) unstable; urgency=medium

  * New upstream snapshot
  * Use system emacs-module.h, not local copy
  * Add vterm-module.so to debian/clean (Closes: #1034239)

 -- Martin <debacle@debian.org>  Sat, 04 Nov 2023 21:54:41 +0000

=== debian/control ===
Source: emacs-libvterm
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: cmake,
	debhelper-compat (= 13),
	dh-elpa,
	emacs-el,
	libtool-bin,
	libvterm-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/akermu/emacs-libvterm
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-libvterm.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-libvterm

Package: emacs-libvterm
Architecture: any
Depends: ${misc:Depends},
	${shlibs:Depends},
	elpa-vterm,
        emacs,
Enhances: emacs
Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - module
 Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU
 Emacs based on libvterm, a C library. As a result of using compiled
 code (instead of elisp), emacs-libvterm is fully capable, fast, and
 it can seamlessly handle large outputs.
 .
 This package contains the loadable module.

Package: elpa-vterm
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
        emacs-libvterm,
Breaks: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
Replaces: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
Enhances: emacs
Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - elisp
 Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU
 Emacs based on libvterm, a C library. As a result of using compiled
 code (instead of elisp), emacs-libvterm is fully capable, fast, and
 it can seamlessly handle large outputs.
 .
 This package contains the elisp files.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,4 @@
 execute_before_dh_auto_build:
 	echo ";;; set load-path for vterm-module.so -*- lexical-binding: t; -*-" > vterm-load-path.el
 	echo "(add-to-list 'load-path \"/usr/lib/${DEB_HOST_MULTIARCH}/emacs-libvterm\")" >> vterm-load-path.el
+	rm -f emacs-module.h

## emacs-libvterm 0.0.2+git20240520.df057b1

=== debian/changelog ===
emacs-libvterm (0.0.2+git20240520.df057b1-1) unstable; urgency=medium

  * New upstream snapshot
  * Add myself to Uploaders as permitted by Martin
  * Update Standards-Version to 4.7.0; no change needed
  * Use posix export in d/rules
  * Add Upstream-Name in d/copyright
  * Update copyright year for debian/* in d/copyright
  * Refresh patches using gbp pq

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 27 May 2024 12:16:26 -0700

emacs-libvterm (0.0.2+git20240318.303decd-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Xiyue Deng ]
  * New upstream snapshot
  * Drop elpa-vterm dependency from emacs-libvterm to avoid circular
    dependency
  * Drop emacs dependency from emacs-libvterm following existing practice
  * Update breaks/replaces versions to be backports friendly
  * Update Standards-Version to 4.6.2 (no change needed)
  * Add d/watch tracking latest snapshot
  * Mark vendor patches as "Forwarded: not-needed"
  * Enable hardening builds

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 18 Mar 2024 00:51:29 -0700

## emacs-libvterm 0.0.2+git20240705.d9ea29f

=== debian/changelog ===
emacs-libvterm (0.0.2+git20240705.d9ea29f-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream snapshot

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Aug 2024 10:59:27 +0800

emacs-libvterm (0.0.2+git20240520.df057b1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:30:57 +0900

## emacs-libvterm 0.0.2+git20241218.99c1f5e

=== debian/changelog ===
emacs-libvterm (0.0.2+git20241218.99c1f5e-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (99c1f5e)
  * Refresh patches

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 19 Dec 2024 03:11:16 -0800

emacs-libvterm (0.0.2+git20241212.09d0192-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (09d0192)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 17 Dec 2024 17:28:11 -0800

emacs-libvterm (0.0.2+git20241118.fd50624-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (fd50624)
  * Refresh patches

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 24 Nov 2024 16:59:04 -0800

emacs-libvterm (0.0.2+git20240825.9882793-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (9882793)
  * Refresh patches with gbp pq

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 10 Nov 2024 21:28:56 -0800

## emacs-libvterm 0.0.2+git20250113.056ad74

=== debian/changelog ===
emacs-libvterm (0.0.2+git20250113.056ad74-3~deb13u1) trixie; urgency=medium

  * Upload to trixie

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 05 Oct 2025 23:55:36 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-3) unstable; urgency=medium

  * Fix elpa-vterm to use "Multi-Arch: no"
    - elpa-vterm installs the files under the same path on different
      archs, so they are not co-installable.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 27 Sep 2025 16:16:16 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-2) unstable; urgency=medium

  * Upload to unstable
    - Change elpa-vterm to arch:any fixed the DEB_HOST_MULTIARCH
      generation. (Closes: #1115607)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 19 Sep 2025 15:32:17 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-2~exp1) experimental; urgency=medium

  * Make elpa-vterm arch:any
    - elpa-vterm sets the shard library path according to the host arch.
      Previously when set as arch:all, the `load-path' is set once during
      building arch:all package and won't change based on the host arch,
      resulting in wrong `load-path' in non-amd64 archs.
  * Add `Multi-Arch: same' hint to arch:any packages

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 19 Sep 2025 04:03:55 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (056ad74)

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 17 Feb 2025 02:24:43 -0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>
+Uploaders:
+ Martin <debacle@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: cmake,
 	debhelper-compat (= 13),
 	dh-elpa,
 	emacs-el,
 	libtool-bin,
 	libvterm-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/akermu/emacs-libvterm
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-libvterm.git
@@ -17,10 +19,9 @@
 
 Package: emacs-libvterm
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
 	${shlibs:Depends},
-	elpa-vterm,
-        emacs,
 Enhances: emacs
 Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - module
  Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU
@@ -31,12 +32,13 @@
  This package contains the loadable module.
 
 Package: elpa-vterm
-Architecture: all
+Architecture: any
+Multi-Arch: no
 Depends: ${elpa:Depends},
 	${misc:Depends},
         emacs-libvterm,
-Breaks: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
-Replaces: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
+Breaks: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3~)
+Replaces: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3~)
 Enhances: emacs
 Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - elisp
  Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0.2+git%cd.%h" \
    https://github.com/akermu/emacs-libvterm \
    HEAD debian uupdate

## emacs-libvterm 0.0.2+git20250929.adf8d10

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,10 @@
 #    add_compile_definitions(VTermStringFragmentNotExists)
     add_definitions(-DVTermSelectionMaskNotExists)
     endif()
-
+    execute_process(COMMAND  grep -c "sb_clear" "${LIBVTERM_INCLUDE_DIR}/vterm.h" OUTPUT_VARIABLE VTermSBClearExists)
+    if (${VTermSBClearExists} EQUAL "0")
+      add_definitions(-DVTermSBClearNotExists)
+    endif()
   else()
     message(STATUS "System libvterm not found: libvterm will be downloaded and compiled as part of the build process")
   endif()
@@ -70,9 +73,9 @@
 
   ExternalProject_add(libvterm
     GIT_REPOSITORY https://github.com/Sbozzolo/libvterm-mirror.git
-    GIT_TAG 15133bba2c0bce32baabbf91610a2450495fea02
+    GIT_TAG 64f1775952dbe001e989f2ab679563b54f2fca55
     CONFIGURE_COMMAND ""
-    BUILD_COMMAND ${LIBVTERM_BUILD_COMMAND} "CFLAGS='-fPIC'"
+    BUILD_COMMAND ${LIBVTERM_BUILD_COMMAND} "CFLAGS='-fPIC'" "LDFLAGS='-static'"
     BUILD_IN_SOURCE ON
     INSTALL_COMMAND "")

=== debian/changelog ===
emacs-libvterm (0.0.2+git20250929.adf8d10-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (adf8d10)
  * Migrate d/watch to rfc822-style version 5 format
  * Drop "Rules-Requires-Root: no"
    - This has been the default since dpkg 1.22.13.
  * Update Standards-Version to 4.7.2; no change needed
  * Add elpa-vterm.lintian-overrides for
    package-contains-no-arch-dependent-files
    - The file needs to be arch:any as the content has an arch-dependent
      path.  See bug#1115607 for details.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 21 Oct 2025 01:34:06 -0700

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
 	emacs-el,
 	libtool-bin,
 	libvterm-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/akermu/emacs-libvterm
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-libvterm.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-libvterm

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-ELPA_NAME=vterm
-export ELPA_NAME
+ELPA_NAME = vterm
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export ELPA_NAME DEB_BUILD_MAINT_OPTIONS
 
 %:
 	dh $@ --with elpa

=== debian/watch ===
Version: 5

Source: https://github.com/akermu/emacs-libvterm
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.0.2+git%cd.%h

## emacs-libvterm 0.0.2+git20251112.12bce96

=== debian/changelog ===
emacs-libvterm (0.0.2+git20251112.12bce96-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (12bce96)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 14 Nov 2025 19:23:36 -0800

## emacs-libvterm 0.0.2+git20251119.a01a289

=== debian/changelog ===
emacs-libvterm (0.0.2+git20251119.a01a289-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (a01a289)

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Nov 2025 22:16:15 -0800
